> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Arrive train

> Arrive a train to a customer or serving location.



## OpenAPI

````yaml /user-docs/api-reference/work_order.swagger.json post /t/v1/arrive-train
openapi: 3.0.1
info:
  title: protobuf/arms/work_order.proto
  version: version not set
servers:
  - description: Production (US)
    url: https://api-lg-k-h1.arms.cedarai.com
  - description: Production (EU)
    url: https://api-lg-k-h1.arms.cedarai.se
security:
  - ApiKeyAuth: []
    AssumeUserAuth: []
tags:
  - name: WorkOrderService
paths:
  /t/v1/arrive-train:
    post:
      tags:
        - WorkOrderService
      summary: Arrive train
      description: Arrive a train to a customer or serving location.
      operationId: ArriveTrain
      parameters:
        - description: Carrier ID
          in: header
          name: Carrier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/armsArriveTrainRequest'
        description: >-
          Request message for recording a train arrival at a specific track.
          Used when a train arrives at a station or location to begin
          operations.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    armsArriveTrainRequest:
      description: >-
        Request message for recording a train arrival at a specific track. Used
        when a train arrives at a station or location to begin operations.
      example:
        exception: Delayed arrival due to weather
        is_front: true
        serving_location_id: 11111
        timestamp: '2024-01-15T10:30:00Z'
        track_id: 67890
        work_order_id: '12345'
      properties:
        customerLocationId:
          format: int64
          type: string
        exception:
          type: string
        isFront:
          type: boolean
        servingLocationId:
          format: int64
          type: string
        timestamp:
          format: date-time
          type: string
        trackId:
          format: int64
          type: string
        workOrderId:
          type: string
      required:
        - isFront
        - trackId
        - workOrderId
      title: Arrive Train Request
      type: object
    rpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      properties:
        '@type':
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-arms-api-key
      type: apiKey
    AssumeUserAuth:
      in: header
      name: x-arms-assume-user
      type: apiKey

````